
Name:          rhq-plugin-gen
Version:       3.0.4
Release:       %mkrel 2
Summary:       RHQ plugin generator
Group:         Development/Java
License:       LGPLv2+
URL:           http://www.jboss.org/picketlink/Negotiation
# git clone git://git.fedorahosted.org/rhq/rhq.git
# cd rhq
# git checkout rhq-pluginGen-3.0.4
# cd modules/helpers/
# tar cafJ rhq-plugin-gen-3.0.4.tar.xz pluginGen
Source0:       rhq-plugin-gen-3.0.4.tar.xz
Patch0:        rhq-plugin-gen-3.0.4-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

BuildRequires: apache-commons-logging
BuildRequires: freemarker
BuildRequires: javassist
BuildRequires: rhq-plugin-annotations

Requires:      apache-commons-logging
Requires:      freemarker
Requires:      javassist
Requires:      rhq-plugin-annotations

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Helper to generate plugin skeletons.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n pluginGen
%patch0 -p1

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=iso8859-1  install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/rhq-pluginGen-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 380336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 20 2012 gil <gil> 3.0.4-1.mga3
+ Revision: 211075
- imported package rhq-plugin-gen

